function Volette.InitializeSettings()
	local panelName = "VoletteSettingsPanel"

	local panelData = {
		type = "panel",
		name = Volette.name,
		author = Volette.author,
	}

	local optionsData = {
		{
			type = "checkbox",
			name =  GetString(VOLETTE_CONTACTS_ENABLE),
			tooltip = GetString(VOLETTE_CONTACTS_ENABLE_TOOLTIP),
			getFunc = function()
				return Volette.contacts.savedVariables.enabled
			end,
			setFunc = function(value) Volette.contacts.SetVisibility(value) end,
			warning = GetString(VOLETTE_REQUIRES_RELOADUI),
		},
		{
			type = "editbox",
			name = GetString(VOLETTE_HQ_OWNER_CRAFT),
			getFunc = function()
				return Volette.hq.SavedVariables.CraftHqUserId
			end,
			setFunc = function(value)
				Volette.hq.SavedVariables.CraftHqUserId = value
			end,
		},
		{
			type = "editbox",
			name = GetString(VOLETTE_HQ_OWNER_PARSE),
			getFunc = function()
				return Volette.hq.SavedVariables.ParseHqUserId
			end,
			setFunc = function(value)
				Volette.hq.SavedVariables.ParseHqUserId = value
			end,
		},
	}

	local LAM = LibAddonMenu2
	LAM:RegisterAddonPanel(panelName, panelData)
	LAM:RegisterOptionControls(panelName, optionsData)
end