function Volette.GoToHouse(userID)
    if GetDisplayName() == userID then
        RequestJumpToHouse(GetHousingPrimaryHouse(), false)
    else
        JumpToHouse(userID)
    end
end

function Volette.GoToOratory()
    local houseIds = {68, 1, 2, 69, 3, 13, 63, 73, 77}
    local houseFound = false
    local houseId
    local bestLocation = false
    for i = 1, #houseIds do
        houseId = houseIds[i]
        local collectibleId = GetCollectibleIdForHouse(houseId)
        if IsCollectibleUnlocked(collectibleId) then
            houseFound = true
            if i == 1 then
                bestLocation = true
            end
            break
        end
    end
    if houseFound then
        if not bestLocation then
            local bestCollectibleId = GetCollectibleIdForHouse(houseIds[1])
            local bestHouseName = GetCollectibleName(bestCollectibleId)
            d("\"" .. bestHouseName .. "\" would be a better location, you should consider buying it.")
        end
        RequestJumpToHouse(houseId, true)
    else
        local collectibleId = GetCollectibleIdForHouse(houseIds[1])
        local houseName = GetCollectibleName(collectibleId)
        d("Must own house \"" .. houseName .. "\"")
    end
end

function Volette.ToggleLanguage()
    if  GetCVar("language.2") == "en" then
        SetCVar("language.2", "fr")
    else
        SetCVar("language.2", "en")
    end
end

function Volette.InitializeConfirmReloadDialog()
    ESO_Dialogs["VOLETTE_CONFIRM_RELOAD"] = {
        title = { text = GetString(VOLETTE_RELOADUI_DIALOG_TITLE) },
        mainText = { text = GetString(VOLETTE_RELOADUI_DIALOG_DESCRIPTION) },
        buttons = {
            {
                text = GetString(VOLETTE_YES),
                callback = function(dialog)
                    ReloadUI()
                end,
            },
            {
                text = GetString(VOLETTE_NO),
            },
        }
    }
end

function Volette.IsInArray(array, value)
    for _, v in ipairs(array) do
        if v == value then
            return true
        end
    end
    return false
end
